Name:           chromaprint-tools
Version:        0.7
Release:        %mkrel 3
Summary:        Library implementing the AcoustID fingerprinting
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint/
Source:         https://github.com/downloads/lalinsky/chromaprint/chromaprint-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  fftw-devel >= 3

# examples requires ffmpeg
BuildRequires:  ffmpeg-devel

%description
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

This is a set of Chromaprint tools related to acoustic fingerprinting 
featuring fpcalc an standalone AcoustID tool used by Picard.

%prep
%setup -q -n chromaprint-%{version}


%build
%cmake -DBUILD_EXAMPLES=on -DBUILD_TESTS=off
%make 

%install
cd build
%makeinstall_std

# cleaning files managed in the chromaprint main package
rm -f %{buildroot}%{_includedir}/chromaprint.h
rm -f %{buildroot}%{_libdir}/pkgconfig/libchromaprint.pc
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_libdir}/lib*.so*

%files
%doc CHANGES.txt COPYING.txt NEWS.txt README.txt
%{_bindir}/fpcalc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7-3.mga3
+ Revision: 347719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.7-2.mga3
+ Revision: 341615
- rebuild for new ffmpeg

* Sat Oct 06 2012 juancho <juancho> 0.7-1.mga3
+ Revision: 302986
- imported package chromaprint-tools

